precision mediump float;
uniform sampler2D u_texture;
attribute vec4 vPosition;
attribute vec4 a_textureCoordinate;
varying vec2 v_texCoord;
uniform vec2 u_resolution;

void main() {
    vec2 uv  =a_textureCoordinate.xy;
    gl_Position =vPosition;
    if (u_resolution.x > u_resolution.y)
    {
        uv.y = uv.y / (u_resolution.x / u_resolution.y);
    }
    v_texCoord = uv;
}
